Changeset 14413


Ignorieren:
Zeitstempel:
09.09.2017 10:30:09 (vor 2 Wochen)
Autor:
er13
Nachricht:

OpenSSL:

  • make version 0.9.8 only selectable if the original firmware already contains it - old boxes only, providing the option for these boxes doesn't increase the security risks
  • move help to the choice element - there is no way to show choice-option specific help text in kconfig
Datei:
1 bearbeitet

Legende:

Unverändert
Hinzugefügt
Entfernt
  • trunk/make/openssl/Config.in.libs

    r14375 r14413  
    4343    prompt "OpenSSL version" 
    4444    default FREETZ_OPENSSL_VERSION_1 
     45    help 
     46     version 0.9.8: 
     47        - NOT supported by the OpenSSL development team anymore 
     48          (s. https://www.openssl.org/policies/releasestrat.html) 
     49        - could be used (with some limitations) as a replacement for AVM's OpenSSL library 
     50 
     51     version 1.0.2: 
     52        - Long Term Support (LTS) version, supported until 2019-12-31 
     53        - could NOT be used as a replacement for AVM's OpenSSL library 
    4554 
    4655    config FREETZ_OPENSSL_VERSION_0 
    47     bool "0.9.8" 
     56    bool "0.9.8 - avoid using, out of support" 
     57    depends on FREETZ_AVM_HAS_OPENSSL_VERSION_0 
    4858    depends on !FREETZ_OPENSSL_VERSION_1_REQUIRED 
    49     help 
    50         - NOT supported by the OpenSSL development team anymore 
    51           (s. https://www.openssl.org/policies/releasestrat.html) 
    52         - is smaller than 1.0.x 
    53         - could be used (with some limitations) as a replacement for AVM's OpenSSL library 
    54         - contains no assembler optimized code 
    5559 
    5660    config FREETZ_OPENSSL_VERSION_1 
    5761    bool "1.0.2" 
    58     help 
    59         - is bigger than 0.9.8 
    60         - could NOT be used as a replacement for AVM's OpenSSL library 
    61         - contains assembler optimized code giving performance improvements of up to 30% 
    6262 
    6363endchoice 
Hinweis: Hilfe zur Verwendung der Changeset-Ansicht finden Sie unter TracChangeset.